{% extends "base_editor.html" %}

{% load static %}
{% load widget_tweaks %}

{% block nav %}
  {% include "parts/nav.html" with active_tab="manage_sequencing" %}
{% endblock %}

{% block title %}Manage sequencing information file{% endblock %}

{% block jumbotron %}
  <h1>Manage sequencing information</h1>
  <p>Add and delete sequencing information file to the metabarcoding database</p>
{% endblock %}

{% block content %}
<div class="container-fluid py-2">
  <button id="show_modal-add-sequencing" type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#addSequencingModal">Add sequencing</button>
  {% if perms.metabaseEditor.delete_sequencing_information %}
    <button id="show-modal-delete-sequencing" type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteSequencingModal" disabled>Delete sequencing</button>
  {% endif %}
</div>
<table id="sequencing-table" class="table table-striped table-bordered nowrap" width="100%" cellspacing="0">
  <thead>
      <tr>
          <th>File name</th>
          <th nowrap>Sequencing date</th>
          <th>Tubes</th>
          <th>Libraries</th>
          <th>Sequencing file</th>
      </tr>
  </thead>
</table>
<div class="modal fade" id="addSequencingModal" tabindex="-1" role="dialog" aria-labelledby="addSequencingModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Add sequencing information</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="check-sequencing-modal-body">
        <form id="addSequencingForm" method="POST" action="" enctype="multipart/form-data">
          {% csrf_token %}
          <div class="form-group row">
            <label class="col-sm-3 col-form-label text-nowrap align-self-center" for="{{ sequencing_form.sequencingFile.id_for_label }}">Sequencing file</label>
            <div class="col-sm-6">
              {% render_field sequencing_form.sequencingFile id="sequencingFile" class="form-control-file form-control" autocomplete="off"%}
              <div class="invalid-feedback" id="check-sequencing-modal-error">
              </div>
            </div>
            <div class="col-sm-3 align-self-center text-center">
              <button id="check-sequencing" type="button" form="addSequencingForm" class="btn btn-success" data-loading-text=" <i class='fa fa-spinner fa-spin'></i> Check">Check</button>
            </div>
          </div>
        </form>
        <div id="checking-sequencing-message">
          {%include "parts/checking-message.html" %}
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button id="import-sequencing" type="submit" form="addSequencingForm" class="btn btn-success" data-loading-text=" <i class='fa fa-spinner fa-spin'></i> Import">Import</button>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="deleteSequencingModal" tabindex="-1" role="dialog" aria-labelledby="deleteSequencingModal" aria-hidden="true">
  <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Remove sequencing</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="sequencing-modal-body">
        <div id="delete-sequencing-question">
          <p>Are you sure you want to delete this sequencing information file?</p>
        </div>
        <div id="delete-sequencing-message">
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button id="delete-sequencing" type="button" class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}
{% block script %}
  {{ block.super }}
  <script src={% static "js/sequencing_import.js" %}></script>
  <script src={% static "js/add_sequencing_modal.js" %}></script>
  <script src={% static "js/delete_sequencing_modal.js" %}></script>
{% endblock %}
